
Redmine - Defect #8809

Table in timelog report overflows

2011-07-14 09:55 - Hans Schmidt

Status: Closed Start date: 2011-07-14

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.2.3   

Resolution: Fixed Affected version: 1.2.1

Description

I think a screenshot says more than words: Spent_time_bug.PNG

The fix Spent_time_fix.PNG needs a <div> around the table.

File /{redmine_root}/app/views/time_entry_reports/report.rhtml

<p><%= l(:label_total) %>: <%= html_hours(l_hours(@total_hours)) %></p>

</div>

<% unless @hours.empty? %>

Line 41: + <div class="overflow-auto">

<table class="list" id="time-report">

<thead>

<tr>

<% @criterias.each do |criteria| %>

.

.

.

  <td class="hours"><%= html_hours("%.2f" % total) if total > 0 %></td>

  </tr>

</tbody>

</table>

Line 69: + </div>

<% other_formats_links do |f| %>

    <%= f.link_to 'CSV', :url => params %>

<% end %>

<% end %>

<% end %>

 Add the CSS-Class "overflow-auto" to the theme

div.overflow-auto {

    overflow: auto;

}

Associated revisions

Revision 7982 - 2011-11-29 19:32 - Jean-Philippe Lang

Adds an autoscroll div around time entry list and report (#8809).

History

#1 - 2011-07-14 10:07 - Toshi MARUYAMA

- Subject changed from Table in timelog report is to long to Table in timelog report is too long

2025-08-23 1/2

https://www.redmine.org/attachments/6280
https://www.redmine.org/attachments/6281


- Resolution deleted (Fixed)

#2 - 2011-07-14 14:41 - Etienne Massip

- Target version set to Candidate for next minor release

- Affected version (unused) changed from 1.1.2 to 1.2.1

- Affected version changed from 1.1.2 to 1.2.1

Confirmed.

http://demo.redmine.org/projects/frezcrcr/time_entries/report?period_type=1&period=all&columns=day&criterias[]=activity

#3 - 2011-11-29 19:32 - Jean-Philippe Lang

- Subject changed from Table in timelog report is too long to Table in timelog report overflows

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 1.2.3

- Resolution set to Fixed

Fixed in r7982.

#4 - 2011-11-29 22:10 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r7996.

Files

Spent_time_bug.PNG 11 KB 2011-07-14 Hans Schmidt

Spent_time_fix.PNG 8.71 KB 2011-07-14 Hans Schmidt
